package com.siginfo.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

public class TbIntStatusVO {
		
	@JsonProperty("region_cd")
	private String regionCd;
    
	@JsonProperty("int_no")
	private Long intNo;
	
	@JsonProperty("collct_dtime")
    private String collctDtime;
    
	@JsonProperty("sys_collct_dtime")
	private String sysCollctDtime;
	
	@JsonProperty("comm_on_off_flag")
    private String commOnOffFlag;
	
	@JsonProperty("contrlr_oper_mode_cd")
	private String contrlrOperModeCd;
	
	@JsonProperty("a_ring_phase_val")
	private Integer aRingPhaseVal;
	
	@JsonProperty("b_ring_phase_val")
	private Integer bRingPhaseVal;
	
	@JsonProperty("siglight_turnoff_flag")
	private String siglightTurnoffFlag;
	
	@JsonProperty("siglight_blink_flag")
	private String siglightBlinkFlag;
	
	@JsonProperty("contrlr_manual_flag")
	private String contrlrManualFlag;
	
	@JsonProperty("contrlr_tmdiff_contrl_flag")
	private String contrlrTmdiffContrlFlag;
	
	@JsonProperty("map_no")
	private Integer mapNo;
	
	@JsonProperty("int_sig_cycle_cnt")
	private Integer intSigCycleCnt;
	
	@JsonProperty("int_sig_cycle_len")
	private Integer intSigCycleLen;
	
	@JsonProperty("a_ring_1_phase_val")
	private Integer aRing1PhaseVal;
	
	@JsonProperty("a_ring_2_phase_val")
	private Integer aRing2PhaseVal;
	
	@JsonProperty("a_ring_3_phase_val")
	private Integer aRing3PhaseVal;
	
	@JsonProperty("a_ring_4_phase_val")
	private Integer aRing4PhaseVal;
	
	@JsonProperty("a_ring_5_phase_val")
	private Integer aRing5PhaseVal;
	
	@JsonProperty("a_ring_6_phase_val")
    private Integer aRing6PhaseVal;
	
	@JsonProperty("a_ring_7_phase_val")
	private Integer aRing7PhaseVal;
	
	@JsonProperty("a_ring_8_phase_val")
	private Integer aRing8PhaseVal;
	
	@JsonProperty("b_ring_1_phase_val")
	private Integer bRing1PhaseVal;
	
	@JsonProperty("b_ring_2_phase_val")
	private Integer bRing2PhaseVal;
	
	@JsonProperty("b_ring_3_phase_val")
	private Integer bRing3PhaseVal;
	
	@JsonProperty("b_ring_4_phase_val")
	private Integer bRing4PhaseVal;
	
	@JsonProperty("b_ring_5_phase_val")
	private Integer bRing5PhaseVal;
	
	@JsonProperty("b_ring_6_phase_val")
	private Integer bRing6PhaseVal;
	
	@JsonProperty("b_ring_7_phase_val")
	private Integer bRing7PhaseVal;
	
	@JsonProperty("b_ring_8_phase_val")
	private Integer bRing8PhaseVal;
	
	@JsonProperty("simulflag")
	private String simulflag;
	
	@JsonProperty("group_no")
	private Long groupNo;
	
	@JsonProperty("ppc_contrl_flag")
    private String ppcContrlFlag;
	
	@JsonProperty("int_main_phase")
    private Integer intMainphase;
	
	@JsonProperty("a_ring_1_phase_conf_cd")
	private String aRing1PhaseConfCd;
	
	@JsonProperty("a_ring_2_phase_conf_cd")
	private String aRing2PhaseConfCd;
	
	@JsonProperty("a_ring_3_phase_conf_cd")
	private String aRing3PhaseConfCd;
	
	@JsonProperty("a_ring_4_phase_conf_cd")
	private String aRing4PhaseConfCd;
	
	@JsonProperty("a_ring_5_phase_conf_cd")
	private String aRing5PhaseConfCd;
	
	@JsonProperty("a_ring_6_phase_conf_cd")
	private String aRing6PhaseConfCd;
	
	@JsonProperty("a_ring_7_phase_conf_cd")
	private String aRing7PhaseConfCd;
	
	@JsonProperty("a_ring_8_phase_conf_cd")
	private String aRing8PhaseConfCd;
	
	@JsonProperty("b_ring_1_phase_conf_cd")
	private String bRing1PhaseConfCd;
	
	@JsonProperty("b_ring_2_phase_conf_cd")
	private String bRing2PhaseConfCd;
	
	@JsonProperty("b_ring_3_phase_conf_cd")
	private String bRing3PhaseConfCd;
	
	@JsonProperty("b_ring_4_phase_conf_cd")
	private String bRing4PhaseConfCd;

	@JsonProperty("b_ring_5_phase_conf_cd")
	private String bRing5PhaseConfCd;

	@JsonProperty("b_ring_6_phase_conf_cd")
	private String bRing6PhaseConfCd;

	@JsonProperty("b_ring_7_phase_conf_cd")
	private String bRing7PhaseConfCd;

	@JsonProperty("b_ring_8_phase_conf_cd")
	private String bRing8PhaseConfCd;
		
		
	public Integer getIntMainphase() {
		return intMainphase;
	}
	public void setIntMainphase(Integer intMainphase) {
		this.intMainphase = intMainphase;
	}
	public String getaRing1PhaseConfCd() {
		return aRing1PhaseConfCd;
	}
	public void setaRing1PhaseConfCd(String aRing1PhaseConfCd) {
		this.aRing1PhaseConfCd = aRing1PhaseConfCd;
	}
	public String getaRing2PhaseConfCd() {
		return aRing2PhaseConfCd;
	}
	public void setaRing2PhaseConfCd(String aRing2PhaseConfCd) {
		this.aRing2PhaseConfCd = aRing2PhaseConfCd;
	}
	public String getaRing3PhaseConfCd() {
		return aRing3PhaseConfCd;
	}
	public void setaRing3PhaseConfCd(String aRing3PhaseConfCd) {
		this.aRing3PhaseConfCd = aRing3PhaseConfCd;
	}
	public String getaRing4PhaseConfCd() {
		return aRing4PhaseConfCd;
	}
	public void setaRing4PhaseConfCd(String aRing4PhaseConfCd) {
		this.aRing4PhaseConfCd = aRing4PhaseConfCd;
	}
	public String getaRing5PhaseConfCd() {
		return aRing5PhaseConfCd;
	}
	public void setaRing5PhaseConfCd(String aRing5PhaseConfCd) {
		this.aRing5PhaseConfCd = aRing5PhaseConfCd;
	}
	public String getaRing6PhaseConfCd() {
		return aRing6PhaseConfCd;
	}
	public void setaRing6PhaseConfCd(String aRing6PhaseConfCd) {
		this.aRing6PhaseConfCd = aRing6PhaseConfCd;
	}
	public String getaRing7PhaseConfCd() {
		return aRing7PhaseConfCd;
	}
	public void setaRing7PhaseConfCd(String aRing7PhaseConfCd) {
		this.aRing7PhaseConfCd = aRing7PhaseConfCd;
	}
	public String getaRing8PhaseConfCd() {
		return aRing8PhaseConfCd;
	}
	public void setaRing8PhaseConfCd(String aRing8PhaseConfCd) {
		this.aRing8PhaseConfCd = aRing8PhaseConfCd;
	}
	public String getbRing1PhaseConfCd() {
		return bRing1PhaseConfCd;
	}
	public void setbRing1PhaseConfCd(String bRing1PhaseConfCd) {
		this.bRing1PhaseConfCd = bRing1PhaseConfCd;
	}
	public String getbRing2PhaseConfCd() {
		return bRing2PhaseConfCd;
	}
	public void setbRing2PhaseConfCd(String bRing2PhaseConfCd) {
		this.bRing2PhaseConfCd = bRing2PhaseConfCd;
	}
	public String getbRing3PhaseConfCd() {
		return bRing3PhaseConfCd;
	}
	public void setbRing3PhaseConfCd(String bRing3PhaseConfCd) {
		this.bRing3PhaseConfCd = bRing3PhaseConfCd;
	}
	public String getbRing4PhaseConfCd() {
		return bRing4PhaseConfCd;
	}
	public void setbRing4PhaseConfCd(String bRing4PhaseConfCd) {
		this.bRing4PhaseConfCd = bRing4PhaseConfCd;
	}
	public String getbRing5PhaseConfCd() {
		return bRing5PhaseConfCd;
	}
	public void setbRing5PhaseConfCd(String bRing5PhaseConfCd) {
		this.bRing5PhaseConfCd = bRing5PhaseConfCd;
	}
	public String getbRing6PhaseConfCd() {
		return bRing6PhaseConfCd;
	}
	public void setbRing6PhaseConfCd(String bRing6PhaseConfCd) {
		this.bRing6PhaseConfCd = bRing6PhaseConfCd;
	}
	public String getbRing7PhaseConfCd() {
		return bRing7PhaseConfCd;
	}
	public void setbRing7PhaseConfCd(String bRing7PhaseConfCd) {
		this.bRing7PhaseConfCd = bRing7PhaseConfCd;
	}
	public String getbRing8PhaseConfCd() {
		return bRing8PhaseConfCd;
	}
	public void setbRing8PhaseConfCd(String bRing8PhaseConfCd) {
		this.bRing8PhaseConfCd = bRing8PhaseConfCd;
	}
	public String getRegionCd() {
		return regionCd;
	}
	public void setRegionCd(String regionCd) {
		this.regionCd = regionCd;
	}
	public Long getIntNo() {
		return intNo;
	}
	public void setIntNo(Long intNo) {
		this.intNo = intNo;
	}
	public String getCollctDtime() {
		return collctDtime;
	}
	public void setCollctDtime(String collctDtime) {
		this.collctDtime = collctDtime;
	}
	public String getSysCollctDtime() {
		return sysCollctDtime;
	}
	public void setSysCollctDtime(String sysCollctDtime) {
		this.sysCollctDtime = sysCollctDtime;
	}
	public String getCommOnOffFlag() {
		return commOnOffFlag;
	}
	public void setCommOnOffFlag(String commOnOffFlag) {
		this.commOnOffFlag = commOnOffFlag;
	}
	public String getContrlrOperModeCd() {
		return contrlrOperModeCd;
	}
	public void setContrlrOperModeCd(String contrlrOperModeCd) {
		this.contrlrOperModeCd = contrlrOperModeCd;
	}
	public Integer getaRingPhaseVal() {
		return aRingPhaseVal;
	}
	public void setaRingPhaseVal(Integer aRingPhaseVal) {
		this.aRingPhaseVal = aRingPhaseVal;
	}
	public Integer getbRingPhaseVal() {
		return bRingPhaseVal;
	}
	public void setbRingPhaseVal(Integer bRingPhaseVal) {
		this.bRingPhaseVal = bRingPhaseVal;
	}
	public String getSiglightTurnoffFlag() {
		return siglightTurnoffFlag;
	}
	public void setSiglightTurnoffFlag(String siglightTurnoffFlag) {
		this.siglightTurnoffFlag = siglightTurnoffFlag;
	}
	public String getSiglightBlinkFlag() {
		return siglightBlinkFlag;
	}
	public void setSiglightBlinkFlag(String siglightBlinkFlag) {
		this.siglightBlinkFlag = siglightBlinkFlag;
	}
	public String getContrlrManualFlag() {
		return contrlrManualFlag;
	}
	public void setContrlrManualFlag(String contrlrManualFlag) {
		this.contrlrManualFlag = contrlrManualFlag;
	}
	public Integer getMapNo() {
		return mapNo;
	}
	public void setMapNo(Integer mapNo) {
		this.mapNo = mapNo;
	}
	public Integer getIntSigCycleCnt() {
		return intSigCycleCnt;
	}
	public void setIntSigCycleCnt(Integer intSigCycleCnt) {
		this.intSigCycleCnt = intSigCycleCnt;
	}
	public Integer getIntSigCycleLen() {
		return intSigCycleLen;
	}
	public void setIntSigCycleLen(Integer intSigCycleLen) {
		this.intSigCycleLen = intSigCycleLen;
	}
	public Integer getaRing1PhaseVal() {
		return aRing1PhaseVal;
	}
	public void setaRing1PhaseVal(Integer aRing1PhaseVal) {
		this.aRing1PhaseVal = aRing1PhaseVal;
	}
	public Integer getaRing2PhaseVal() {
		return aRing2PhaseVal;
	}
	public void setaRing2PhaseVal(Integer aRing2PhaseVal) {
		this.aRing2PhaseVal = aRing2PhaseVal;
	}
	public Integer getaRing3PhaseVal() {
		return aRing3PhaseVal;
	}
	public void setaRing3PhaseVal(Integer aRing3PhaseVal) {
		this.aRing3PhaseVal = aRing3PhaseVal;
	}
	public Integer getaRing4PhaseVal() {
		return aRing4PhaseVal;
	}
	public void setaRing4PhaseVal(Integer aRing4PhaseVal) {
		this.aRing4PhaseVal = aRing4PhaseVal;
	}
	public Integer getaRing5PhaseVal() {
		return aRing5PhaseVal;
	}
	public void setaRing5PhaseVal(Integer aRing5PhaseVal) {
		this.aRing5PhaseVal = aRing5PhaseVal;
	}
	public Integer getaRing6PhaseVal() {
		return aRing6PhaseVal;
	}
	public void setaRing6PhaseVal(Integer aRing6PhaseVal) {
		this.aRing6PhaseVal = aRing6PhaseVal;
	}
	public Integer getaRing7PhaseVal() {
		return aRing7PhaseVal;
	}
	public void setaRing7PhaseVal(Integer aRing7PhaseVal) {
		this.aRing7PhaseVal = aRing7PhaseVal;
	}
	public Integer getaRing8PhaseVal() {
		return aRing8PhaseVal;
	}
	public void setaRing8PhaseVal(Integer aRing8PhaseVal) {
		this.aRing8PhaseVal = aRing8PhaseVal;
	}
	public Integer getbRing1PhaseVal() {
		return bRing1PhaseVal;
	}
	public void setbRing1PhaseVal(Integer bRing1PhaseVal) {
		this.bRing1PhaseVal = bRing1PhaseVal;
	}
	public Integer getbRing2PhaseVal() {
		return bRing2PhaseVal;
	}
	public void setbRing2PhaseVal(Integer bRing2PhaseVal) {
		this.bRing2PhaseVal = bRing2PhaseVal;
	}
	public Integer getbRing3PhaseVal() {
		return bRing3PhaseVal;
	}
	public void setbRing3PhaseVal(Integer bRing3PhaseVal) {
		this.bRing3PhaseVal = bRing3PhaseVal;
	}
	public Integer getbRing4PhaseVal() {
		return bRing4PhaseVal;
	}
	public void setbRing4PhaseVal(Integer bRing4PhaseVal) {
		this.bRing4PhaseVal = bRing4PhaseVal;
	}
	public Integer getbRing5PhaseVal() {
		return bRing5PhaseVal;
	}
	public void setbRing5PhaseVal(Integer bRing5PhaseVal) {
		this.bRing5PhaseVal = bRing5PhaseVal;
	}
	public Integer getbRing6PhaseVal() {
		return bRing6PhaseVal;
	}
	public void setbRing6PhaseVal(Integer bRing6PhaseVal) {
		this.bRing6PhaseVal = bRing6PhaseVal;
	}
	public Integer getbRing7PhaseVal() {
		return bRing7PhaseVal;
	}
	public void setbRing7PhaseVal(Integer bRing7PhaseVal) {
		this.bRing7PhaseVal = bRing7PhaseVal;
	}
	public Integer getbRing8PhaseVal() {
		return bRing8PhaseVal;
	}
	public void setbRing8PhaseVal(Integer bRing8PhaseVal) {
		this.bRing8PhaseVal = bRing8PhaseVal;
	}
	public String getSimulflag() {
		return simulflag;
	}
	public void setSimulflag(String simulflag) {
		this.simulflag = simulflag;
	}
	public Long getGroupNo() {
		return groupNo;
	}
	public void setGroupNo(Long groupNo) {
		this.groupNo = groupNo;
	}
	public String getPpcContrlFlag() {
		return ppcContrlFlag;
	}
	public void setPpcContrlFlag(String ppcContrlFlag) {
		this.ppcContrlFlag = ppcContrlFlag;
	}
	@Override
	public String toString() {
		return "TbIntStatusVO [regionCd=" + regionCd + ", intNo=" + intNo + ", collctDtime=" + collctDtime
				+ ", sysCollctDtime=" + sysCollctDtime + ", commOnOffFlag=" + commOnOffFlag + ", contrlrOperModeCd="
				+ contrlrOperModeCd + ", aRingPhaseVal=" + aRingPhaseVal + ", bRingPhaseVal=" + bRingPhaseVal
				+ ", siglightTurnoffFlag=" + siglightTurnoffFlag + ", siglightBlinkFlag=" + siglightBlinkFlag
				+ ", contrlrManualFlag=" + contrlrManualFlag + ", mapNo=" + mapNo + ", intSigCycleCnt="
				+ intSigCycleCnt + ", intSigCycleLen=" + intSigCycleLen + ", aRing1PhaseVal=" + aRing1PhaseVal
				+ ", aRing2PhaseVal=" + aRing2PhaseVal + ", aRing3PhaseVal=" + aRing3PhaseVal + ", aRing4PhaseVal="
				+ aRing4PhaseVal + ", aRing5PhaseVal=" + aRing5PhaseVal + ", aRing6PhaseVal=" + aRing6PhaseVal
				+ ", aRing7PhaseVal=" + aRing7PhaseVal + ", aRing8PhaseVal=" + aRing8PhaseVal + ", bRing1PhaseVal="
				+ bRing1PhaseVal + ", bRing2PhaseVal=" + bRing2PhaseVal + ", bRing3PhaseVal=" + bRing3PhaseVal
				+ ", bRing4PhaseVal=" + bRing4PhaseVal + ", bRing5PhaseVal=" + bRing5PhaseVal + ", bRing6PhaseVal="
				+ bRing6PhaseVal + ", bRing7PhaseVal=" + bRing7PhaseVal + ", bRing8PhaseVal=" + bRing8PhaseVal
				+ ", simulflag=" + simulflag + ", groupNo=" + groupNo + ", ppcContrlFlag=" + ppcContrlFlag
				+ ", intMainphase=" + intMainphase + ", aRing1PhaseConfCd=" + aRing1PhaseConfCd
				+ ", aRing2PhaseConfCd=" + aRing2PhaseConfCd + ", aRing3PhaseConfCd=" + aRing3PhaseConfCd
				+ ", aRing4PhaseConfCd=" + aRing4PhaseConfCd + ", aRing5PhaseConfCd=" + aRing5PhaseConfCd
				+ ", aRing6PhaseConfCd=" + aRing6PhaseConfCd + ", aRing7PhaseConfCd=" + aRing7PhaseConfCd
				+ ", aRing8PhaseConfCd=" + aRing8PhaseConfCd + ", bRing1PhaseConfCd=" + bRing1PhaseConfCd
				+ ", bRing2PhaseConfCd=" + bRing2PhaseConfCd + ", bRing3PhaseConfCd=" + bRing3PhaseConfCd
				+ ", bRing4PhaseConfCd=" + bRing4PhaseConfCd + ", bRing5PhaseConfCd=" + bRing5PhaseConfCd
				+ ", bRing6PhaseConfCd=" + bRing6PhaseConfCd + ", bRing7PhaseConfCd=" + bRing7PhaseConfCd
				+ ", bRing8PhaseConfCd=" + bRing8PhaseConfCd + "]";
	}

}
